import { ref } from 'vue'

export enum eLoginType {
  empty,
  login,
  logout,
}

export const chatLoginActionMark = ref<eLoginType>(eLoginType.empty)

export const dispatchLoginAction = (action: 'login' | 'logout') => {
  if (action === 'login') chatLoginActionMark.value = eLoginType.login
  else if (action === 'logout') chatLoginActionMark.value = eLoginType.logout
}
